in vec4 vertPos;

const mat4 SCALE_TRANSLATE = mat4(
    0.5, 0.0, 0.0, 0.25,
    0.0, 0.5, 0.0, 0.25,
    0.0, 0.0, 1.0, 0.0,
    0.0, 0.0, 0.0, 1.0
);

mat4 end_portal_layer(float layer, float timeOffset = 0 ) {
    mat4 translate = mat4(
        1.0, 0.0, 0.0, 17.0 / layer,
        0.0, 1.0, 0.0, (2.0 + layer / 1.5) * ((GameTime - timeOffset) * 3.5),
        0.0, 0.0, 1.0, 0.0,
        0.0, 0.0, 0.0, 1.0
    );

    mat2 rotate = mat2_rotate_z(radians((layer * layer * 4321.0 + layer * 9.0) * 2.0));

    mat2 scale = mat2(
        mix(MIN_STAR_SIZE, MAX_STAR_SIZE, (layer / float(STAR_LAYERS)))
    );

    return mat4(rotate*scale)* translate * SCALE_TRANSLATE;
}

float aspect = ScreenSize.x / ScreenSize.y;